//=============================================================================
// Healing a node or other linkable objective.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class SentinelControllerComponent_Behaviour_HealingObjective extends SentinelControllerComponent_Behaviour_TargetingObjective;

function bool IsValidObjective(UTGameObjective PotentialObjective)
{
	local bool bResult;
	local UTOnslaughtObjective UTO;

	bResult = true;
	UTO = UTOnslaughtObjective(PotentialObjective);

	if(UTO == none || UTO.bIsDisabled)
	{
		bResult = false;
	}
	else if(UTO.LinkHealMult <=0.0 || UTO.Health <=0 || UTO.Health >= UTO.DamageCapacity || UTO.DefenderTeamIndex != GetTeamNum())
	{
		bResult = false;
	}
	else if(VSize(PotentialObjective.Location - Cannon.Location) > Cannon.GetRange())
	{
		bResult = false;
	}

	return bResult;
}

defaultproperties
{
}