//=============================================================================
// Improves prediction slightly.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class SentinelUpgrade_CPU extends SentinelUpgrade;

function InitializeFor(Sentinel S)
{
	super.InitializeFor(S);

	Cannon.AimAhead = 1.0;
	Cannon.SController.AimingComponent.bPredictionUsesTrace = true;
	Cannon.SController.AimingComponent.bPredictAcceleration = true;
	Cannon.SController.AimingComponent.bIterateProjectileTime = true;
	Cannon.SController.AimingComponent.MaxPredictionSpeed *= 2.0;
}

function OnDetach()
{
	Cannon.AimAhead = Cannon.default.AimAhead;
	Cannon.SController.AimingComponent.bPredictionUsesTrace = Cannon.SController.AimingComponent.default.bPredictionUsesTrace;
	Cannon.SController.AimingComponent.bPredictAcceleration = Cannon.SController.AimingComponent.default.bPredictAcceleration;
	Cannon.SController.AimingComponent.bIterateProjectileTime = Cannon.SController.AimingComponent.default.bIterateProjectileTime;
	Cannon.SController.AimingComponent.MaxPredictionSpeed = Cannon.SController.AimingComponent.default.MaxPredictionSpeed;

	super.OnDetach();
}

defaultproperties
{
	FriendlyName="CPU"
	Description="A high-speed replacement CPU gives improved target prediction, and lays the foundations for applying more advanced AI upgrades."

	AmmoCost=10
	ActivateSound=SoundCue'Sentinel_Resources.Sounds.Upgrades.mactiv50Cue'
}
