//=============================================================================
// This upgrade gives a Sentinel a chance to see invisible things.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class SentinelUpgrade_InfraRedSensors extends SentinelUpgrade;

/** Distance within which invisible pawns can be detected, as a fraction of Sentinel's sensor range. */
var() float Range;

function bool CanDetect(Pawn P)
{
	return super.CanDetect(P) || (VSize(P.Location - Cannon.Location) < (Range * Cannon.SightRadius));
}

defaultproperties
{
	FriendlyName="Infra-Red Sensors"
	Description="Complementing the usual audio-visual sensors, this array of infra-red sensors enables detection of targets which might otherwise be invisible.\n\nDue to the specialized interface required for this module, it can only be fitted to Sentinels that have already been upgraded with the \"Enhanced Sensors\" option."

	Range=0.5

	AmmoCost=70
	ActivateSound=SoundCue'Sentinel_Resources.Sounds.Upgrades.SensorActivateCue'
	RequiredUpgrades.Add(class'SentinelUpgrade_Sensors')
}
