//=============================================================================
// A small, fast Pulse Cannon for Ceiling Sentinels.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class SentinelWeapon_PulseCannon_Small extends SentinelWeapon_PulseCannon;

defaultproperties
{
	FriendlyName="Small Pulse Cannon"
	Description="A lighter version of the standard Pulse Cannon, designed to be used where space is limited but significant firepower is still desired. The high rate of fire and high plasma velocity make it ideal for engaging the more mobile target."

	WeaponScale=0.3

	AmmoCost=15
	CompatibleSentinels.Empty()
	CompatibleSentinels.Add(class'Sentinel_Ceiling')

	Begin Object Name=FireInfo0
		FireInterval=0.18
		ProjectileClass=class'SentinelProjectile_Pulse_Small'
		FireOffset=(X=15.0,Y=0.0,Z=0.0)
		Spread=0.002
		FireSound=SoundCue'Sentinel_Resources.Sounds.Weapons.PainterRifleFireCue'
		MaxAimError=6.0
	End Object

	Begin Object Name=MuzzleFlash0
		Template=ParticleSystem'Sentinel_Resources.Effects.Weapons.P_PulseCannon_Small_MuzzleFlash'
		MuzzleFlashDuration=0.15
	End Object

	Begin Object Name=MuzzleFlashLightComponent0
		TimeShift=((StartTime=0.0,Radius=80,Brightness=2,LightColor=(R=200,G=200,B=200,A=255)),(StartTime=0.1,Radius=64,Brightness=1,LightColor=(R=64,G=64,B=64,A=255)),(StartTime=0.15,Radius=64,Brightness=0,LightColor=(R=32,G=32,B=32,A=255)))
	End Object
	MuzzleFlashLight=MuzzleFlashLightComponent0
}
