//=============================================================================
// Sits on the floor and has fun taking pot-shots at things.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class Sentinel_Floor extends Sentinel;

defaultproperties
{
	MenuName="Floor cannon (heavy)"
	ShortMenuName="Floor cannon"

	DefaultWeaponClass=class'SentinelWeapon_PulseCannon'

	MaxRotationSpeed=(Pitch=20000,Yaw=20000)
	RotationDampingThreshold=4096
	AutoRotateRate=3000
	MaxPitch=8192
	MinPitch=-7168
	AimAhead=0.8
	HearingThreshold=1500.0
	SightRadius=7000.0
	PeripheralVision=0.71 //90 degree FOV
	BaseEyeHeight=6.4
	EyeHeight=6.4

	Health=1000

	Begin Object Name=CollisionCylinder
		CollisionRadius=34.0
		CollisionHeight=32.0
	End Object

	Begin Object Name=BaseComponent0
		SpawnMaterial=MaterialInstance'Sentinel_Resources.Materials.Sentinel.MI_Sentinel_Spawn'
		DeadMaterial=MaterialInstance'Sentinel_Resources.Materials.Sentinel.MI_Sentinel_Dead'
		SkeletalMesh=SkeletalMesh'Sentinel_Resources.Meshes.Sentinel.SK_Base_Floor'
		Materials[0]=MaterialInstance'Sentinel_Resources.Materials.Sentinel.MI_Sentinel'
		PhysicsAsset=PhysicsAsset'Sentinel_Resources.Physics.SK_Base_Floor_Physics'
		Scale=0.6
		Translation=(X=0.0,Y=0.0,Z=-32.0)
	End Object

	Begin Object Name=RotatorComponent0
		SpawnMaterial=MaterialInstance'Sentinel_Resources.Materials.Sentinel.MI_Sentinel_Spawn'
		DeadMaterial=MaterialInstance'Sentinel_Resources.Materials.Sentinel.MI_Sentinel_Dead'
		SkeletalMesh=SkeletalMesh'Sentinel_Resources.Meshes.Sentinel.SK_Rotator'
		Materials[0]=MaterialInstance'Sentinel_Resources.Materials.Sentinel.MI_Sentinel'
		PhysicsAsset=PhysicsAsset'Sentinel_Resources.Physics.SK_Rotator_Physics'
		Scale=0.6
		Translation=(X=0.0,Y=0.0,Z=-32.0)
	End Object

	Begin Object Name=WeaponComponent0
		Translation=(X=0.0,Y=0.0,Z=16.0)
	End Object

	Begin Object Class=SentinelComponent_ParticleSystem_Damage Name=DamageComponent0
		DamageThreshold=0.4
		Template=ParticleSystem'Sentinel_Resources.Effects.Sentinel.P_DamageEffect_01'
	End Object
	DamageParticleComponents.Add(DamageComponent0)
	Components.Add(DamageComponent0)

	Begin Object Class=SentinelComponent_ParticleSystem_Damage Name=DamageComponent1
		DamageThreshold=0.15
		Template=ParticleSystem'Sentinel_Resources.Effects.Sentinel.P_DamageEffect_02'
	End Object
	DamageParticleComponents.Add(DamageComponent1)
	Components.Add(DamageComponent1)
}