//=============================================================================
// Special Sentinel for deployment by the Nightshade.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class Sentinel_Nightshade extends Sentinel_Floor;

//Overriden because these Sentinels should jump off vehicles to avoid becoming based on the Nightshade.
function BaseChange()
{
	if(Vehicle(Base) != none)
	{
		JumpOffPawn();
	}
	else
	{
		super.BaseChange();
	}
}

function JumpOffPawn()
{
	Velocity += (100 + CylinderComponent.CollisionRadius) * VRand();
	Velocity.Z = 200 + CylinderComponent.CollisionHeight;
	SetPhysics(PHYS_Falling);
}

defaultproperties
{
	bUpgradeable=false
	DefaultWeaponClass=class'SentinelWeapon_PulseCannon_Nightshade'
	DefaultUpgradeClasses[0]=class'SentinelUpgrade_CPU'
	DefaultUpgradeClasses[1]=class'SentinelUpgrade_ObjectiveSoftware'
	DefaultUpgradeClasses[2]=class'SentinelUpgrade_Armour'

	MaxRotationSpeed=(Pitch=23000,Yaw=23000)
	HearingThreshold=2000.0
	SightRadius=9000.0
	PeripheralVision=0.2

	Health=2000
}