//=============================================================================
// Spawns a Sentinel when deployed.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class UTDeployedActor_Sentinel extends UTDeployedActor;

var() SentinelInfo DeployableSentinelInfo;
var Sentinel Cannon;

function PostBeginPlay()
{
	super.PostBeginPlay();

	//SetRotation(rot(0, 0, 0));
	PerformDeploy();
}

simulated function PerformDeploy()
{
	if(Role == ROLE_Authority)
	{
		Cannon = class'SUtils'.static.DeployFloor(DeployableSentinelInfo, Instigator, Location, Vector(Rotation));

		if(Cannon != none)
		{
			SetBase(Cannon);
			Cannon.bCountsTowardLimit = false; //These don't prevent deployment of further Sentinels by hand.
			Cannon.InitializeFor(Instigator);

			bDeployed = true;
		}
		else
		{
			Destroy();
		}
	}
}

simulated function Destroyed()
{
	super.Destroyed();

	if(Role == ROLE_Authority)
	{
		//If the deployed actor is destroyed, the Sentinel goes with it.
		if(Cannon != none)
		{
			Cannon.Suicide();
		}
	}
}

defaultproperties
{
	DeployableSentinelInfo=(SentinelClass=class'Sentinel_Nightshade',DeployRange=20.0)

	Physics=PHYS_None
	bCollideActors=false
	bBlockActors=false
	bCollideWorld=false
}
