//=============================================================================
// Similar to UTVehicleDeathPiece, but uses a skeletal mesh.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class UTGib_Sentinel extends UTGib_Vehicle
	notplaceable;

var const SkeletalMeshComponent SentinelGibMesh;
var ParticleSystemComponent PSC;

simulated event PreBeginPlay()
{
	super(Actor).PreBeginPlay();
}

simulated function TurnOnCollision()
{
	GibMeshComp.SetBlockRigidBody(true);

	DetachComponent(GibMeshComp);
	AttachComponent(GibMeshComp);

	GibMeshComp.WakeRigidBody();
}

defaultproperties
{
	Begin Object Class=UTGibSkeletalMeshComponent Name=SentinelGibMeshComp
		BlockRigidBody=false
		ScriptRigidBodyCollisionThreshold=1.0
		RBCollideWithChannels=(Default=true,Pawn=false,Vehicle=false,GameplayPhysics=false,EffectPhysics=false,Untitled3=true)
		RBChannel=RBCC_Untitled3 //Not ideal, but at least it doesn't block vehicles.
		LightEnvironment=GibLightEnvironmentComp
	End Object
	CollisionComponent=SentinelGibMeshComp
	GibMeshComp=SentinelGibMeshComp
	SentinelGibMesh=SentinelGibMeshComp
	Components.Add(SentinelGibMeshComp);

	Begin Object Class=ParticleSystemComponent Name=Particles
		Template=ParticleSystem'Envy_Effects.VH_Deaths.P_VH_Death_SpecialCase_1_Attach'
		bAutoActivate=true
		Scale=0.5
	End Object
	PSC=Particles
	Components.Add(Particles)

	Physics=PHYS_RigidBody
	TickGroup=TG_PostAsyncWork
	RemoteRole=ROLE_None

	Lifespan=10.0
}