//=============================================================================
// Allows Nightshades to deploy Sentinels.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class UTMutator_NightshadeSentinel extends UTMutator_SentinelBaseMutator
	config(Mutator_Sentinel);

/** The Sentinel to deploy. */
var() DeployableData DeployableDatum;
/** Can't do a custom icon, so just set this to some empty space. */
var() TextureCoordinates IconCoords;

/** Index into DeployableList. */
var config int ReplacedDeployableIndex;

function PostBeginPlay()
{
	super.PostBeginPlay();

	ReplacedDeployableIndex = Clamp(ReplacedDeployableIndex, 0, ArrayCount(class'UTVWeap_NightshadeGun'.default.DeployableList) - 1);
}

function bool CheckReplacement(Actor Other)
{
	local UTVWeap_NightshadeGun NightshadeGun;

	NightshadeGun = UTVWeap_NightshadeGun(Other);

	if(NightshadeGun != none)
	{
		NightshadeGun.DeployableList[ReplacedDeployableIndex] = DeployableDatum;
		NightshadeGun.IconCoords[ReplacedDeployableIndex] = IconCoords;
	}

	return true;
}

defaultproperties
{
	DeployableDatum=(DeployableClass=class'UTDeployable_Sentinel',MaxCnt=2,DropOffset=(X=25.0,Y=0.0,Z=60.0))
	IconCoords=(U=930,V=701,UL=94,VL=119)
}