//=============================================================================
// Holds a list of names of classes to replace so that they can be displayed in
// a UIList.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class UTUIDataStore_AmmoReplacement extends UTUIDataStore_StringList;

function FillListFrom(array<ReplacementInfo> ReplacedPickups)
{
	local ReplacementInfo ReplacedPickup;

	Empty('PickupClass', true);

	foreach ReplacedPickups(ReplacedPickup)
	{
		AddStr('PickupClass', String(ReplacedPickup.PickupClass),  true);
	}

	//Bleh. I wish it were possible to make custom data stores without breaking stuff.
	Empty('ReplacementClass', true);
	AddStr('ReplacementClass', "Small ("$class'UTAmmo_SentinelDeployer_Small'.default.AmmoAmount$")",  true);
	AddStr('ReplacementClass', "Medium ("$class'UTAmmo_SentinelDeployer_Medium'.default.AmmoAmount$")",  true);
	AddStr('ReplacementClass', "Large ("$class'UTAmmo_SentinelDeployer'.default.AmmoAmount$")",  true);
}

defaultproperties
{
	Tag=AmmoReplacement
}