//=============================================================================
// Base class for all in-game menus for Sentinels.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class UTUIScene_SentinelMenu extends UTUIScene
	abstract;

function bool HandleInputKey(const out InputEventParameters EventParms)
{
	local bool bResult;

	if(EventParms.EventType == IE_Released)
	{
		//Catch ESC press and close menu.
		if(EventParms.InputKeyName == 'Escape')
		{
			bResult = CloseScene(self);
		}
		//Allow screenshots to be taken.
		else if(GetUTPlayerOwner().PlayerInput.GetBind(EventParms.InputKeyName) ~= "shot")
		{
			bResult = true;
			ConsoleCommand("shot");
		}
	}

	return bResult;
}

defaultproperties
{
	OnRawInputKey=HandleInputKey

	SceneInputMode=INPUTMODE_Locked
	SceneRenderMode=SPLITRENDER_PlayerOwner

	bDisplayCursor=true
	bPauseGameWhileActive=false
	bRenderParentScenes=false
	bCloseOnLevelChange=true
	bExemptFromAutoClose=false
	bAlwaysRenderScene=false
}