//=============================================================================
// Base class for all configuration menus for Sentinel upgrades.
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class UTUIScene_UpgradeConfigurationMenu extends UTUIScene_SentinelMenu
	abstract;

/** Upgrade this menu is for. */
var transient SentinelUpgrade Upgrade;

/**
 * Sets up menu for a particular upgrade.
 */
function InitializeFor(SentinelUpgrade NewUpgrade)
{
	if(NewUpgrade == none)
	{
		`warn("Failed to initialize configuration menu:"@Upgrade);
		CloseScene(self);

		return;
	}

	Upgrade = NewUpgrade;
}

function bool CloseScene(UIScene SceneToClose, optional bool bSkipKismetNotify, optional bool bSkipAnimation)
{
	local bool bResult;

	bResult = super.CloseScene(SceneToClose, bSkipKismetNotify, bSkipAnimation);

	if(Upgrade != none)
	{
		Upgrade.ConfigurationMenuClosed();
	}

	return bResult;
}

function SceneDeactivated()
{
	super.SceneDeactivated();

	if(Upgrade != none)
	{
		Upgrade.ConfigurationMenuDeactivated();
	}
}

defaultproperties
{
}