class UTUITabPage_SentinelOptions_Ammo extends UTUITabPage_SentinelOptions;

var transient UICheckbox RandomAmmo;
var transient UINumericEditBox InitialMaxPickupAmmo;
var transient UINumericEditBox ExtraMaxPickupAmmoPerPlayer;

function PostInitialize()
{
	super.PostInitialize();

	SetDataStoreBinding(class'UIStrings'.default.RandomAmmoTabTitle);

	UILabel(FindChild('UILabel_RandomAmmo', true)).SetDataStoreBinding(class'UIStrings'.default.SpawnRandomAmmo);
	RandomAmmo = UICheckbox(FindChild('UICheckbox_RandomAmmo', true));
	RandomAmmo.SetValue(MutatorClass.default.bSpawnRandomAmmo);

	UILabel(FindChild('UILabel_InitialMaxPickupAmmo', true)).SetDataStoreBinding(class'UIStrings'.default.InitialAmmo);
	InitialMaxPickupAmmo = UINumericEditBox(FindChild('UTUINumericEditBox_InitialMaxPickupAmmo', true));
	InitialMaxPickupAmmo.SetNumericValue(MutatorClass.default.InitialMaxPickupAmmo);

	UILabel(FindChild('UILabel_ExtraMaxPickupAmmoPerPlayer', true)).SetDataStoreBinding(class'UIStrings'.default.AmmoPerPlayer);
	ExtraMaxPickupAmmoPerPlayer = UINumericEditBox(FindChild('UTUINumericEditBox_ExtraMaxPickupAmmoPerPlayer', true));
	ExtraMaxPickupAmmoPerPlayer.SetNumericValue(MutatorClass.default.ExtraMaxPickupAmmoPerPlayer);
}

function Commit()
{
	MutatorClass.default.bSpawnRandomAmmo = RandomAmmo.IsChecked();
	MutatorClass.default.InitialMaxPickupAmmo = InitialMaxPickupAmmo.GetNumericValue();
	MutatorClass.default.ExtraMaxPickupAmmoPerPlayer = ExtraMaxPickupAmmoPerPlayer.GetNumericValue();

	super.Commit();
}

defaultproperties
{
}