class UTUITabPage_SentinelOptions_Main extends UTUITabPage_SentinelOptions;

var transient UICheckbox AllowUpgrades;
var transient UINumericEditBox MaxSentinels;
var transient UINumericEditBox MaxTeamSentinels;
var transient UINumericEditBox MaxTeamAdvantageSentinels;

function PostInitialize()
{
	super.PostInitialize();

	SetDataStoreBinding(class'UIStrings'.default.MainTabTitle);

	UILabel(FindChild('UILabel_AllowUpgrades', true)).SetDataStoreBinding(class'UIStrings'.default.AllowUpgrades);
	AllowUpgrades = UICheckbox(FindChild('UICheckbox_AllowUpgrades', true));
	AllowUpgrades.SetValue(MutatorClass.default.bAllowUpgrades);

	UILabel(FindChild('UILabel_MaxSentinels', true)).SetDataStoreBinding(class'UIStrings'.default.MaxSentinels);
	MaxSentinels = UINumericEditBox(FindChild('UTUINumericEditBox_MaxSentinels', true));
	MaxSentinels.SetNumericValue(MutatorClass.default.MaxCannon);

	UILabel(FindChild('UILabel_MaxTeamSentinels', true)).SetDataStoreBinding(class'UIStrings'.default.MaxTeamSentinels);
	MaxTeamSentinels = UINumericEditBox(FindChild('UTUINumericEditBox_MaxTeamSentinels', true));
	MaxTeamSentinels.SetNumericValue(MutatorClass.default.MaxTeamCannon);

	UILabel(FindChild('UILabel_MaxTeamAdvantageSentinels', true)).SetDataStoreBinding(class'UIStrings'.default.MaxTeamAdvantageSentinels);
	MaxTeamAdvantageSentinels = UINumericEditBox(FindChild('UTUINumericEditBox_MaxTeamAdvantageSentinels', true));
	MaxTeamAdvantageSentinels.SetNumericValue(MutatorClass.default.MaxTeamAdvantageCannon);
}

function Commit()
{
	MutatorClass.default.bAllowUpgrades = AllowUpgrades.IsChecked();
	MutatorClass.default.MaxCannon = MaxSentinels.GetNumericValue();
	MutatorClass.default.MaxTeamCannon = MaxTeamSentinels.GetNumericValue();
	MutatorClass.default.MaxTeamAdvantageCannon = MaxTeamAdvantageSentinels.GetNumericValue();

	super.Commit();
}

defaultproperties
{
}