//=============================================================================
// Holds a list of classes of a particular upgrade type for
// UTUIDataStore_SentinelUpgrades to use.
// For clients, the contents of the lists are replicated via UTLRI_Sentinel
// https://mrevil.asvachin.eu/unreal/
//=============================================================================
class UpgradeList extends Object
	abstract
	config(Mutator_Sentinel);

/** Type of upgrade this class represents, e.g. 'Weapons' or 'Upgrades'. */
var name Tag;
/** Classes of all upgrades that are of this type. */
var config array<string> ClassNames;

defaultproperties
{
}